/*
 * HMG - Harbour Win32 GUI library Demo
 *
*/

#include "minigui.ch"

Memvar count, pressed

Function Main
Local i, img_name, col

        DEFINE WINDOW Win_1 ;
               AT 0,0 ;
               WIDTH 400 HEIGHT 340 ;
               TITLE 'Rating Test' ;
               ICON 'star.ico' ;
               MAIN ;
               BACKCOLOR WHITE
 
               DEFINE MAINMENU 
                        DEFINE POPUP "File"
				MENUITEM "Exit" ONCLICK ThisWindow.Release
                        END POPUP
                END MENU

		count := 10
		pressed := 0
		col := 100

		FOR i:=1 TO count
			img_name := "Image_"+hb_ntos(i)
			DEFINE IMAGE &img_name
				PARENT            Win_1
				ROW               100
				COL               col
				WIDTH             18
				HEIGHT            17
				PICTURE           'empty.bmp'
				ONMOUSEHOVER      OnHoverRate()
				ONMOUSELEAVE      OnLeaveRate()
                	        ONCLICK           ( pressed := Val( Substr( This.Name, Rat('_', This.Name) + 1 ) ), OnSelectRate() )
			END IMAGE
			col += 18
		NEXT

		DRAW RECTANGLE			;
			IN WINDOW Win_1		;
			AT 99, 99		;
			TO 100 + 18, col + 2	;
			PENCOLOR { 192, 192, 192 }

		DEFINE BUTTON Button_1
			ROW 140
			COL 100
			WIDTH 182
			HEIGHT 28
			CAPTION "Clear Rating"
			ACTION ( pressed := 0, ClearRate() )
			FLAT .T.
		END BUTTON

        END WINDOW

        Win_1.Center
        ACTIVATE WINDOW Win_1

Return Nil


Function OnHoverRate()
Local i, img_name
Local select := Val( Substr( This.Name, Rat('_', This.Name) + 1 ) )

	ClearRate()
	FOR i:=1 TO select
		img_name := "Image_"+hb_ntos(i)
		Win_1.&(img_name).Picture := 'full.bmp'
	NEXT

Return Nil


Function OnLeaveRate()

	IF pressed == 0
		ClearRate()
	ELSE
		OnSelectRate()
	ENDIF

Return Nil


Function OnSelectRate()
Local i, img_name

	IF pressed > 0
		ClearRate()
		FOR i:=1 TO pressed
			img_name := "Image_"+hb_ntos(i)
			Win_1.&(img_name).Picture := 'full.bmp'
		NEXT
	ENDIF

Return Nil


Static Function ClearRate()
Local i, img_name

	FOR i:=1 TO count
		img_name := "Image_"+hb_ntos(i)
		Win_1.&(img_name).Picture := 'empty.bmp'
	NEXT

Return Nil
